Subject: Re: bug#65047: 28.2; Diary entries not included in LaTeX calendars

From: Eli Zaretskii <[email-masked]>
Date: Fri, 04 Aug 2023 14:12:32 +0300

> From: "Robert A. Kelly III" <[email-masked]>
> Date: Thu, 03 Aug 2023 22:02:30 -0400
> 
> I created a diary file at ~/.emacs.d/diary and can see these entries in
> Emacs in calendar mode, but when I use t M to print a LaTeX calendar,
> the diary entries are not included. At
> https://www.emacswiki.org/emacs/CalendarPrinting I found "Also make sure
> you set cal-tex-diary to true so that diary entries show up in the
> calendar." However, neither adding (setq cal-tex-diary t) to my
> ~/.emacs.d/init.el, nor evaluating that expression with M-: made any
> difference. 

Can you please show a complete recipe for reproducing this issue,
starting from "emacs -Q"?  Please also show some simple
~/.emacs.d/diary file to use with the recipe.

Yes, cal-tex-diary should be non-nil to include the diary entries in
the produced calendar.  This is clearly documented in the doc string
of the "t M" command.

Thanks.